Subject: Re: Powerbook shuts down hard when hot, patch found

From: Michael Buesch <[email-masked]>
Date: Sun, 30 Sep 2007 00:26:07 +0200

On Sunday 30 September 2007 00:19:53 Benjamin Herrenschmidt wrote:
> 
> > 
> > This all smells to me like a silicon bug, so I'd start searching
> > in the silicon erratas. But I'm not sure, of course. It's also strange
> > that it depends on temperature. (That's why I first expected the PMU
> > would cause this).
> > 
> > Thanks for your help.
> 
> Could be that we are creating a short by driving the output low, thus
> causing the silicon to heat up, but that's strange.

Well. The machine needs to be hot in the first place to trigger it.
If it's cold it boots and runs fine even with that patch.
Even if I run it hot after boot it does not shutdown. It only shuts down
on boot when this register is written and when it's hot at this point.

That's why I thought about some silicon bug. Why only when it's hot? :)

> Also, the other change I made you do turns these into inputs, thus the

The _EN bits are already all cleared, as you can see in my printk dump.
So clearing them has no effect, of course.
So the ports are Inputs as default on boot.

> DDL lines should be pulled up, unless ... the board doesn't have
> pullups.

Well, I can't tell you :)

-- 
Greetings Michael.